/* ~~~~~ GLOBAL RULES ~~~~~ */
*,
*:before,
*:after {
  box-sizing: border-box;
  font-family: "EB Garamond", serif;
  margin: auto;
  text-align: center;
}

body {
  background: ghostwhite;
}

button,
input {
  font-size: 20px;
  padding: 10px 20px;
}

button {
  background: black;
  border: none;
  border-radius: 10px;
  color: white;
}

button:hover {
  background: rgb(150, 137, 236);
  transform: scale(1.05);
  color: black; 

}

.hidden {
  display: none!important;
}

/* ~~~~~ MAIN POSTER SECTION ~~~~~ */
.main-poster {
  height: 100vh;
}

.poster {
  background: black;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 20px auto;
  padding: 50px 20px;
  width: 70%;
}

.poster-img {
  background-size: cover;
  border: 2px solid white;
  max-width: 80%;
}

.poster-title,
.poster-quote {
  color: white;
  line-height: 1;
  width: 90%;
}

.poster-title {
  font-size: 6vw;
  font-weight: normal;
  letter-spacing: 0.5vw;
  margin-bottom: 10px;
  text-transform: uppercase;
} 

.main-poster button {
  margin: 10px;
}

/* ~~~~~ POSTER FORM SECTION ~~~~~ */
.poster-form {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

.poster-form h2 {
  margin-bottom: 30px;
}

h2 {
  margin-bottom: 20px;
}

.poster-form form {
  align-content: center;
  display: flex;
  flex-direction: column;
  width: 40%;
}

.poster-form input {
  display: block;
  margin-bottom: 20px;
  width: 100%;
}

.poster-form .divider {
  border-bottom: 1px solid black;
  margin: auto;
  margin-bottom: 20px;
  width: 400px;
}

/* ~~~~~ SAVED POSTER SECTION ~~~~~ */
.saved-posters {
  padding: 40px;
}

.saved-posters-grid {
  display: flex;
  flex-wrap: wrap; 
  justify-content: center; 
  gap: 8px; 
}

.back-to-main, .back-to-main-from-unmotivational {
  margin-top: 20px;
}

.mini-poster {
  background: black;
  color: white;
  height: 340px;
  padding: 25px;
  width: 425px;
}

.mini-poster img {
  height:200px;
  width: 300px;
}

.mini-poster h2,
.mini-poster h4,
.delete {
  color: white;
  line-height: 1;
  width: 90%;
}

.mini-poster h2 {
  font-size: 30px;
  font-weight: normal;
  letter-spacing: 5px;
  margin-bottom: 10px;
  text-transform: uppercase;
}

#save-message {
  color: rgb(189, 48, 48);
  font-size: 25px;
  font-weight: bold;
  padding: 10px;
}

/* ~~~~~ UNMOTIVATIONAL POSTER SECTION ~~~~~ */
.unmotivational-section .poster-title-unmotivational {
  color: black;
}

.mini-poster-unmotivational:hover .poster-title-unmotivational {
  color: rgb(105, 27, 27);
}

.mini-poster-unmotivational:hover {
  background: rgb(104, 102, 102);
  box-shadow: 0 0 40px rgb(189, 48, 48);
  transition: box-shadow 0.3s ease;
}

.mini-poster-unmotivational {
  background: rgb(139, 137, 137);
  border-radius: 10px;
  color: white;
  height: 340px;
  padding: 25px;
  width: 425px;
}

.mini-poster-unmotivational .poster-title {
  margin-top: 20px; 
}

.mini-poster-unmotivational .poster-quote {
  margin-top: 10px; 
}

/* ~~~~~ ENLARGED MODEL SECTION ~~~~~ */
.modal {
  display: none; 
  position: fixed;
  inset: 0;
  z-index: 1000;
  background-color: rgba(0, 0, 0, 0.8); 
  justify-content: center;
  align-items: center;
}

.modal:not(.hidden) {
  display: flex; 
} 

.modal-content {
  background: black;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 20px auto;
  padding: 75px 40px;
  width: 85%; 
  max-width: 1000px; 
  text-align: center;
}

.modal-poster-img,
#modalPosterImg {
  width: 625px; 
  height: 425px; 
  object-fit: cover; 
  border: 2px solid white;
  margin-bottom: 20px;
}

.modal-poster-title {
  font-size: 50px; 
  letter-spacing: 7px;
  margin-bottom: 20px;
  text-transform: uppercase;
  color: white;
}

.modal-poster-quote {
  font-size: 30px; 
  margin-top: 15px;
  color: white;
}

.modal-container {
  width: 85%; 
  max-width: 1000px;
  margin: 0 auto;
  background-color: black;
}


